// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// _uPassRead wrapper class

class _uPassRead : public COleDispatchDriver
{
public:
	_uPassRead() {}		// Calls COleDispatchDriver default constructor
	_uPassRead(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_uPassRead(const _uPassRead& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetTBack_DiskName();
	CString GetTBack_DrvKeyNumber();
	DATE GetTBack_RegDate();
	CString GetTBack_SoftCode();
	CString GetTBack_UnitName();
	CString GetTBack_CustomA();
	CString GetTBack_CustomB();
	BOOL GetTBack_IsTime();
	double GetTBack_UseTime();
	BOOL GetTBack_IsFate();
	double GetTBack_UseFate();
	BOOL GetTBack_IsAll();
	DATE GetTBack_LastDate();
	CString GetTBack_AnnexInfo();
	short GetTBack_MsgNo();
	CString GetTBack_MsgStr();
	BOOL PassRead(LPCTSTR strPwd, short* Pw_type);
};
